VIAENV(4) | Device Drivers Manual | VIAENV(4)

# NAME

`viaenv` — VIA VT82C686A/VT8231 Hardware Monitor and Power Management Timer

# SYNOPSIS

`viaenv* at pci? dev ? function ?`

# DESCRIPTION

The `viaenv` is an envsys(4) compatible driver for the Hardware Monitor and the Power Management timer in the VIA VT82C686A and VT8231 South Bridges.

The device has 10 sensors:

Sensor | Units | Typical Use
`TSENS1` | uK | CPU temperature
`TSENS2` | uK | System temperature
`TSENS3` | uK | ?
`FAN1` | RPM | CPU fan
`FAN2` | RPM | System fan
`VSENS1` | uV DC | CPU core voltage (2.0V)
`VSENS2` | uV DC | North Bridge core voltage (2.5V)
`Vcore` | uV DC | Internal core voltage (3.3V)
`VSENS3` | uV DC | +5V
`VSENS4` | uV DC | +12V

Sensor data is updated every 1.5 seconds.

# SEE ALSO

envsys(4), envstat(8)

# HISTORY

The `viaenv` device appeared in NetBSD 1.5.

# BUGS

Interrupt support is unimplemented, as is support for setting values.

January 20, 2007 | NetBSD 11.0